Bug 112695 - i get a nokey 4f2a6fd2 message when updating packages using rpm
i get a nokey 4f2a6fd2 message when updating packages using rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-28 17:50 EST by Need Real Name
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-29 17:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-28 17:50:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; WMM; .NET 
CLR 1.1.4322)

Description of problem:
When i install a updated package i get the message:
No Key  4f2a6fd2.
I looked in the custumation guide (chapter 32.3) and tryed:
rpm --import /usr/share/rhn/RPM-GPG-KEY
this went okee.
i did a rpm -qa gpg-pubkey*
and i get a output like gpg-pubkey-db42a60e-37ea5438

I don't think this is correct.
When i tryed a new installation of a package i did get again the 
message NoKEY ......

I think the key wasnot the correct key.
Where can i find the correctkey and where have i to place it.



Version-Release number of selected component (if applicable):
version dillevered with fedora core 1

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh *.rpm
2.
3.
    

Actual Results:  Nokey .....

Expected Results:  No nokey message but just an installation.

Additional info:
Comment 1 Jeff Johnson 2003-12-29 07:18:24 EST
The key is probably (just a guess) one of the keys used by
Fedora for signing. I don't know where or how Fedora is
choosing to release their keys. Try http://fedora.redhat.com.
Comment 2 Bill Nottingham 2003-12-29 17:50:44 EST
Correct, they're also in /usr/share/rhn/RPM-GPG-KEY-fedora*
Comment 3 Trevor Cordes 2004-11-16 05:25:32 EST
Just a note, I just did a fresh install of FC3 and then tried to add
some RPM's off the DVD later and ran into this NOKEY for 4f2a6fd2 --
on a fresh install!  rpm --import /usr/share/rhn/RPM-GPG-KEY-fedora
fixed the problem, but users shouldn't have to do this on a fresh
install.  Why doesn't anacondea import the keys properly?

Note You need to log in before you can comment on or make changes to this bug.